package com.hwrj.cloud.admin.dao;

import com.hwrj.cloud.admin.dto.UmsMemberOriginParam;
import com.hwrj.cloud.admin.dto.param.MemberWebPageParam;
import com.hwrj.cloud.admin.dto.param.SelectVo;
import com.hwrj.cloud.admin.model.UmsMemberOrigin;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @className:
 * @description:
 * @author: lym
 * @date: 2020/9/6 17:39
 */
public interface UmsMemberOriginDao {

    /**
     * 检验是否存在
     * lym
     * @param umsMemberOrigin
     * @return
     */
    int isExist(UmsMemberOrigin umsMemberOrigin);

    List<UmsMemberOriginParam> pageList(MemberWebPageParam memberWebPageParam);

    List<UmsMemberOriginParam> list(UmsMemberOriginParam umsMemberOriginParam);


    UmsMemberOriginParam findById(long id);

    long deleteOneDataCheck(long id);

    List<SelectVo> listSelect(@Param("compId") long compId);
}
